/*
// File:		SendMessageDlg.cpp
//
// Version:		mail.it library 1.0
//
// Copyright:	(C) 2007 Dacons LLP.
*/

#include PCH_FILE_NAME
#include "resource.h"
#include "SendMessageDlg.hpp"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSendMessageDlg dialog



CSendMessageDlg::CSendMessageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSendMessageDlg::IDD, pParent),
	mFrom(_T("sender@mailserver.net")),
	mTo(_T("recipient@other.mailserver.net")),
	mMessage(_T("Message text")),
	mSubject(_T("Subject"))
{
}

void CSendMessageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_FROM, mFrom);
	DDX_Text(pDX, IDC_EDIT_TO, mTo);
	DDX_Text(pDX, IDC_EDIT_MESSAGE, mMessage);
	DDX_Text(pDX, IDC_EDIT_SUBJECT, mSubject);
}

BEGIN_MESSAGE_MAP(CSendMessageDlg, CDialog)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, OnBnClickedSave)
END_MESSAGE_MAP()

BOOL CSendMessageDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	return TRUE;  // return TRUE  unless you set the focus to a control
}
void CSendMessageDlg::OnBnClickedSave()
{
	UpdateData();
	CString message;
	int dlgItemID = 0;
	if (mFrom.IsEmpty())
	{
		message = _T("You must enter sender address.");
		dlgItemID = IDC_EDIT_FROM;
	}
	else if (mTo.IsEmpty())
	{
		message = _T("You musr enter recipient address.");
		dlgItemID = IDC_EDIT_TO;
	}

	if (dlgItemID != 0)
	{
		AfxMessageBox(message);
		GetDlgItem(dlgItemID)->SetFocus();
		return;
	}

	OnOK();
}
