/*
// File:		Pop3Callback.cpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2006 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#include PCH_FILE_NAME
#include "Pop3Callback.hpp"
#include <iostream>

EmaiError
Pop3Callback::OnOperation(
		Emai::Pop3Session& /*inSession*/,
		EmaiUint32 /*inOperationCode*/
	)
{
	//TODO: display text corresponding to operation code
	return EmaiErrNoErr;
}

EmaiError
Pop3Callback::OnDataReceived(
		Emai::Pop3Session& /*inSession*/,
		EmaiUint32 inReceivedSize,
		EmaiUint32 inTotalSize
	)
{
	std::cout << "Received " << inReceivedSize << 
					" bytes of " << inTotalSize << std::endl;
	return EmaiErrNoErr;
}

EmaiError
Pop3Callback::OnServerError(
		Emai::Pop3Session& /*inSession*/,
		EmaiConstCharPtr inServerReply,
		EmaiUint32 /*inReplyCode*/
	)
{
	std::cout << "Server error: " << inServerReply << std::endl;
	return EmaiErrNoErr;
}
